#include <iostream>
using namespace std;
int main()
{
    int n,br=0;
    cin>>n;
    int x[100000],y[100000],z[100000];
    for(int i=0;i<n;i++)
    {
        cin>>x[i];
        cin>>y[i];
        cin>>z[i];
    }
   for(int i=0;i<n;i++)
        for(int j=0;j<=n;j++)
    {
        if(x[i]==y[z[j]-1])
        {
          br++;
        }
    }
    cout<<br;
    return 0;
}